[问题]新立得打不开,怎么回事阿

为当前最终发行版之前的所有版本提供支持
回复
头像
67089239
帖子: 79
注册时间: 2007-08-06 17:10
送出感谢: 0
接收感谢: 0
联系:

[问题]新立得打不开,怎么回事阿

#1

帖子 67089239 » 2007-08-06 20:26

今天刚装ubuntu,更新管理器提示有108个更新,我更新到还剩17个时,好像在桌面右下角提示说低磁盘空间,然后运行更新管理器就提示“软件索引已被破坏

无法安装或删除任何软件。请使用包管理软件"synaptic"或在终端运行"sudo apt-get install -f"来修正这个问题。”,我用他的方法试了,结果如下:
正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 101428 个文件和目录。)
正在解压缩 linux-image-2.6.20-16-generic (从 .../linux-image-2.6.20-16-generic_2.6.20-16.29_amd64.deb) ...
Done.
dpkg:处理 /var/cache/apt/archives/linux-image-2.6.20-16-generic_2.6.20-16.29_amd64.deb (--unpack)时出错:
buffer_write(fd) (9, ret=-1) 时出错:“./lib/modules/2.6.20-16-generic/kernel/fs/lockd/lockd.ko” 时,dpkg-deb 被作为后端: No space left on device
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
Running postrm hook script /sbin/update-grub.
You shouldn't call /sbin/update-grub. Please call /usr/sbin/update-grub instead!

Searching for GRUB installation directory ... found: /boot/grub
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.20-15-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

正在解压缩 linux-headers-2.6.20-16 (从 .../linux-headers-2.6.20-16_2.6.20-16.29_amd64.deb) ...
dpkg:处理 /var/cache/apt/archives/linux-headers-2.6.20-16_2.6.20-16.29_amd64.deb (--unpack)时出错:
buffer_write(fd) (9, ret=-1) 时出错:“./usr/src/linux-headers-2.6.20-16/drivers/s390/Kconfig” 时,dpkg-deb 被作为后端: No space left on device
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
正预备替换 openoffice.org-core 2.2.0-1ubuntu3 (使用 .../openoffice.org-core_2.2.0-1ubuntu4_amd64.deb) ...
正在解压缩将用于更替的包文件 openoffice.org-core ...
dpkg:处理 /var/cache/apt/archives/openoffice.org-core_2.2.0-1ubuntu4_amd64.deb (--unpack)时出错:
buffer_write(fd) (9, ret=-1) 时出错:“./usr/lib/openoffice/program/libsvx680lx.so” 时,dpkg-deb 被作为后端: No space left on device
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/linux-image-2.6.20-16-generic_2.6.20-16.29_amd64.deb
/var/cache/apt/archives/linux-headers-2.6.20-16_2.6.20-16.29_amd64.deb
/var/cache/apt/archives/openoffice.org-core_2.2.0-1ubuntu4_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



应该是磁盘空间不够啊,那我现在该怎么办阿
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#2

帖子 fallleaf » 2007-08-06 21:17

别给ubuntu太吝啬了……刚装上系统,空间就不足,汗一下……
装个gparted,调整一下分区大小。源里就有
在学习linux的道路上自在而行。
jieying
帖子: 371
注册时间: 2005-11-03 17:52
送出感谢: 0
接收感谢: 0

#3

帖子 jieying » 2007-08-06 21:17

将其它地方的磁盘空间链接到/var/cache。man一下ln的用法。
头像
67089239
帖子: 79
注册时间: 2007-08-06 17:10
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 67089239 » 2007-08-06 22:35

无奈,我重装了一下,重分了区,现在一切还好
回复

回到 “老旧版本支持”